Partially update contact
curl --request PATCH \
--url https://api.rezora.io/api/v1/contacts/contacts/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"data": "<unknown>"
}
'import requests
url = "https://api.rezora.io/api/v1/contacts/contacts/{id}/"
payload = {
"contact_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"data": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
phone_number: '<string>',
data: '<unknown>'
})
};
fetch('https://api.rezora.io/api/v1/contacts/contacts/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"contact_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {},
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"phone_numbers": [
{}
],
"csv_headers": [
"<string>"
],
"data": "<unknown>",
"status": "active"
}Contacts
Partially update contact
PATCH
/
api
/
v1
/
contacts
/
contacts
/
{id}
/
Partially update contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Supabase-shaped contact row for the call-details modal (denormalized from data JSON).
Show child attributes
Show child attributes
Maximum string length:
32Show child attributes
Show child attributes
active- Activeinvalid- Invaliddo_not_call- Do Not Call
Available options:
active, invalid, do_not_call ⌘I